org.eclipse.ease.ui.view

## Class TextSelectionProvider

- java.lang.Object
- - org.eclipse.ease.ui.view.TextSelectionProvider

All Implemented Interfaces:
  EventListener, ISelectionProvider, SelectionListener, SWTEventListener

    public class TextSelectionProvider
    extends Object
    implements ISelectionProvider, SelectionListener

### Constructor Summary

Constructors
Constructor and Description
`TextSelectionProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addSelectionChangedListener(ISelectionChangedListener listener)`
`ISelection` `getSelection()`
`void` `removeSelectionChangedListener(ISelectionChangedListener listener)`
`void` `setSelection(ISelection selection)`
`void` `widgetDefaultSelected(SelectionEvent e)`
`void` `widgetSelected(SelectionEvent e)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TextSelectionProvider

    public TextSelectionProvider()

### Method Detail

#### addSelectionChangedListener

    public void addSelectionChangedListener(ISelectionChangedListener listener)

Specified by:
  `addSelectionChangedListener` in interface `ISelectionProvider`

#### getSelection

    public ISelection getSelection()

Specified by:
  `getSelection` in interface `ISelectionProvider`

#### removeSelectionChangedListener

    public void removeSelectionChangedListener(ISelectionChangedListener listener)

Specified by:
  `removeSelectionChangedListener` in interface `ISelectionProvider`

#### setSelection

    public void setSelection(ISelection selection)

Specified by:
  `setSelection` in interface `ISelectionProvider`

#### widgetSelected

    public void widgetSelected(SelectionEvent e)

Specified by:
  `widgetSelected` in interface `SelectionListener`

#### widgetDefaultSelected

    public void widgetDefaultSelected(SelectionEvent e)

Specified by:
  `widgetDefaultSelected` in interface `SelectionListener`